=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: squid
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Luigi Gangitano <luigi@debian.org>
+Maintainer: Luigi Gangitano <luigi@debian.org>
 Uploaders: Santiago Garcia Mantinan <manty@debian.org>
 Homepage: http://www.squid-cache.org
 Standards-Version: 4.5.0
@@ -25,13 +24,14 @@
 	, libnetfilter-conntrack-dev [linux-any]
 	, libpam0g-dev
 	, libsasl2-dev
+	, libsystemd-dev [linux-any]
 	, libxml2-dev
 	, nettle-dev
 
 Package: squid
 Architecture: any
 Pre-Depends: adduser
-Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, logrotate (>= 3.5.4-1), squid-common (>= ${source:Version}), lsb-base, libdbi-perl, ssl-cert
+Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, logrotate (>= 3.5.4-1), squid-common (>= ${source:Version}), lsb-base, libdbi-perl
 Suggests: squidclient, squid-cgi, squid-purge, resolvconf (>= 0.40), smbclient, ufw, winbind, apparmor
 Recommends: libcap2-bin [linux-any], ca-certificates
 Provides: squid3
