=== debian/rules ===
--- 
+++ 
@@ -3,17 +3,11 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_CFLAGS_MAINT_APPEND = -Wall
 
-DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 ifneq (,$(filter $(DEB_HOST_ARCH), armel m68k mips mipsel powerpc powerpcspe sh4))
 	DEB_LDFLAGS_MAINT_APPEND += -latomic
 endif
 export DEB_LDFLAGS_MAINT_APPEND
-# On ppc64el, dpkg-buildflags sets -O3 instead of the usual
-# -O2. This makes gcc emit a format-truncation error on
-# pconn.cc. See https://bugs.squid-cache.org/show_bug.cgi?id=4875
-ifeq ($(shell dpkg-architecture -qDEB_HOST_ARCH),ppc64el)
-  export DEB_CXXFLAGS_MAINT_APPEND = -Wno-format-truncation
-endif
+
 export DEB_BUILD_PARALLEL = yes
 include /usr/share/dpkg/buildflags.mk
 -include /usr/share/dpkg/buildtools.mk
@@ -73,7 +67,7 @@
 		DEB_CONFIGURE_EXTRA_FLAGS += --enable-kqueue
 endif
 ifeq ($(DEB_HOST_ARCH_OS), linux)
-		DEB_CONFIGURE_EXTRA_FLAGS += --enable-linux-netfilter
+		DEB_CONFIGURE_EXTRA_FLAGS += --enable-linux-netfilter --with-systemd
 endif
 
 DEB_MAKE_CLEAN_TARGET = distclean
