=== debian/changelog ===
squid (4.13-10+deb11u5) bullseye-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * Fix CVE-2023-5824:
    A flaw was found in Squid. The limits applied for validation
    of HTTP response headers are applied before caching. However,
    Squid may grow a cached HTTP response header beyond the
    configured maximum size, causing a stall or crash of
    the worker process when a large header is retrieved
    from the disk cache, resulting in a denial of service.
    (Closes: #1055249)
  * Fix CVE-2023-46728:
    Due to a NULL pointer dereference bug Squid is vulnerable
    to a Denial of Service attack against Squid's Gopher gateway.
  * Fix CVE-2025-54574:
    Squid is vulnerable to a heap buffer overflow and possible
    remote code execution attack when processing URN due to
    incorrect buffer management.
  * Remove Gopher support

 -- Bastien Roucariès <rouca@debian.org>  Sun, 17 Aug 2025 19:26:48 +0200

squid (4.13-10+deb11u4) bullseye-security; urgency=high

  * Non-maintainer upload by the LTS Team.

  [ Roberto C. Sánchez ]
  * Fix CVE-2024-25111: a possible Denial of Service attack against HTTP
    Chunked decoder due to an uncontrolled recursion bug. This problem allows
    a remote attacker to cause Denial of Service when sending a crafted,
    chunked, encoded HTTP Message.
  * Fix CVE-2024-37894: due to an Out-of-bounds Write error when assigning ESI
    variables, Squid is susceptible to a Memory Corruption error. This error
    can lead to a Denial of Service attack.
  * Fix CVE-2024-45802: Disable ESI feature support.
    - Due to Input Validation, Premature Release of Resource During Expected
      Lifetime, and Missing Release of Resource after Effective Lifetime bugs,
      Squid is vulnerable to Denial of Service attacks by a trusted server
      against all clients using the proxy. This problem is fixed by changing
      the build configuration to specify the --disable-esi option.

  [ Jochen Sprickerhof ]
  * Fix patch for CVE-2024-25111 and use -std=c++17

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 11 Mar 2025 10:31:43 +0100

squid (4.13-10+deb11u3) bullseye-security; urgency=high

  * Non-maintainer upload.
  * Fix CVE-2023-46724, CVE-2023-46846, CVE-2023-46847 CVE-2023-49285,
    CVE-2023-49286, CVE-2023-50269, CVE-2024-23638, CVE-2024-25617.
  * Several security vulnerabilities have been discovered in Squid, a full
    featured web proxy cache. Due to programming errors in Squid's HTTP request
    parsing, remote attackers may be able to execute a denial of service attack
    by sending large X-Forwarded-For header or trigger a stack buffer overflow
    while performing HTTP Digest authentication. Other issues facilitate
    request smuggling past a firewall or a denial of service against Squid's
    Helper process management.
    In regard to CVE-2023-46728: Please note that support for the Gopher
    protocol has simply been removed in future Squid versions. There are no
    plans by the upstream developers of Squid to fix this issue. We recommend
    to reject all Gopher URL requests instead.

 -- Markus Koschany <apo@debian.org>  Thu, 07 Mar 2024 20:52:04 +0100

squid (4.13-10+deb11u2) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Exposure of Sensitive Information in Cache Manager (CVE-2022-41317)
    (Closes: #1020587)
  * Buffer Over Read in SSPI and SMB Authentication (CVE-2022-41318)
    (Closes: #1020586)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 25 Sep 2022 15:13:57 +0200

squid (4.13-10+deb11u1) bullseye-security; urgency=medium

  * Add patch to fix a Denial of Service in Gopher Processing.
    Fixes: CVE-2021-46784.
  * Add patch to fix Out-Of-Bounds memory access in WCCPv2.
    Fixes: CVE-2021-28116.

 -- Santiago Garcia Mantinan <manty@debian.org>  Sat, 25 Jun 2022 23:43:32 +0200

squid (4.13-10) unstable; urgency=medium

  [ Francisco Vilmar Cardoso Ruviaro ]
  * Add debian/patches/0007-CVE-2021-28651.patch to fix a Denial
    of Service in URN processing. (Closes: #988893, CVE-2021-28651)

  [ Santiago Garcia Mantinan ]
  * Add patch to fix a Denial of Service in HTTP Response Processing.
    Fixes: CVE-2021-28662. Closes: #988891.
  * Add patch to fix a Denial of Service issue in Cache Manager.
    Fixes: CVE-2021-28652. Closes: #988892.
  * Add patch to fix Multiple Issues in HTTP Range header.
    Fixes: CVE-2021-31806 CVE-2021-31807 CVE-2021-31808. Closes: #989043.
  * Add patch to fix a Denial of Service in HTTP Response processing.
    Fixes: GHSA-572g-rvwr-6c7f.

 -- Santiago Garcia Mantinan <manty@debian.org>  Fri, 28 May 2021 12:28:20 +0200

squid (4.13-9) unstable; urgency=medium

  * Clarify on NEWS and scripts that we no longer remove logs on purge.
  * Clarify on postrm script that the debhelper code was put manually.
  * Add README.Debian to squid-openssl.

 -- Santiago Garcia Mantinan <manty@debian.org>  Tue, 23 Mar 2021 00:18:11 +0100

squid (4.13-8) unstable; urgency=medium

  * Add SQUID-2020_11.patch to fix HTTP Request Smuggling.
    Fixes: CVE-2020-25097. Closes: #985068.

 -- Santiago Garcia Mantinan <manty@debian.org>  Sun, 21 Mar 2021 00:58:29 +0100

squid (4.13-7) unstable; urgency=medium

  * Add full postrm scripts while we don't solve #984897 on debhelper.
    Closes: #984880.

 -- Santiago Garcia Mantinan <manty@debian.org>  Wed, 10 Mar 2021 09:19:32 +0100

squid (4.13-6) unstable; urgency=medium

  * Stop removing cache and config file on postrm. Closes: #984510.
  * Increase debhelper build dependency to 12.8 as we need that from -5.
  * Add NEWS note on the problem with purge on previous versions.

 -- Santiago Garcia Mantinan <manty@debian.org>  Thu, 04 Mar 2021 14:45:00 +0100

squid (4.13-5) unstable; urgency=high

  * Have a deeper look and change all dpkg-buildpackage commands
    for similar dh ones. At least at home it works now.

 -- Santiago Garcia Mantinan <manty@debian.org>  Mon, 08 Feb 2021 21:35:48 +0100


