=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_CFLAGS_MAINT_APPEND = -Wall
-export DEB_CXXFLAGS_MAINT_APPEND = -std=c++17
 
 ifneq (,$(filter $(DEB_HOST_ARCH), armel m68k mips mipsel powerpc powerpcspe sh4))
 	DEB_LDFLAGS_MAINT_APPEND += -latomic
@@ -37,7 +36,7 @@
 		--enable-cache-digests \
 		--enable-icap-client \
 		--enable-follow-x-forwarded-for \
-		--enable-auth-basic="DB,fake,getpwnam,LDAP,NCSA,NIS,PAM,POP3,RADIUS,SASL,SMB" \
+		--enable-auth-basic="DB,fake,getpwnam,LDAP,NCSA,PAM,POP3,RADIUS,SASL,SMB" \
 		--enable-auth-digest="file,LDAP" \
 		--enable-auth-negotiate="kerberos,wrapper" \
 		--enable-auth-ntlm="fake,SMB_LM" \
@@ -46,6 +45,7 @@
 		--enable-storeid-rewrite-helpers="file" \
 		--enable-url-rewrite-helpers="fake" \
 		--enable-eui \
+		--enable-esi \
 		--enable-icmp \
 		--enable-zph-qos \
 		--enable-ecap \
@@ -56,9 +56,6 @@
 		--with-filedescriptors=65536 \
 		--with-large-files \
 		--with-default-user=proxy
-
-## CVE-2024-45802
-DEB_CONFIGURE_EXTRA_FLAGS += --disable-esi
 
 ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
 		DEB_CONFIGURE_EXTRA_FLAGS += --enable-kqueue
@@ -102,7 +99,7 @@
 override_dh_installinit:
 	dh_installinit -psquid
 	dh_installinit -psquid-openssl --name=squid
-        
+
 execute_after_dh_auto_install:
 	install -m 755 -g root -d $(INSTALLDIR)/usr/lib/cgi-bin
 	install -m 755 -g root -d $(INSTALLDIR)-openssl/usr/lib/cgi-bin
@@ -160,8 +157,8 @@
 		--sourcedir=$(INSTALLDIR)-openssl
 
 override_dh_installsystemd:
+	dh_installsystemd -psquid
 	dh_installsystemd -psquid-openssl --name=squid
-	dh_installsystemd -psquid
 
 override_dh_auto_clean:
 	$(RM) -r debian/build* debian/tmp*
